from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="ai-snake-game",
    version="0.1.0",
    author="Rbanh",
    description="A classic snake game with AI capabilities",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.spacetrainclubhouse.com/Rbanh/AI-Snake-Game",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Development Status :: 3 - Alpha",
        "Topic :: Games/Entertainment :: Arcade",
    ],
    python_requires=">=3.8",
    install_requires=[
        "pygame>=2.5.2",
        "numpy>=1.24.3",
    ],
    extras_require={
        "dev": [
            "pytest>=7.4.3",
            "pytest-xdist>=3.5.0",
            "black>=23.12.1",
        ],
    },
    entry_points={
        "console_scripts": [
            "snake-game=src.cli:main",
        ],
    },
) 