"""
AI Snake Game - A classic snake game with AI capabilities.

This package contains all the core game components including:
- Game engine and state management
- Snake movement and collision detection
- Food spawning system
- Menu interface
- AI controllers (coming soon)
"""

from src.game import Game, GameState
from src.snake import Snake, Direction
from src.food import Food
from src.menu import Menu, GameMode, MenuItem
from src.cli import main as cli_main

__version__ = '0.1.0'
__author__ = 'Rbanh'

# Define what's available when using "from src import *"
__all__ = [
    'Game',
    'GameState',
    'Snake',
    'Direction',
    'Food',
    'Menu',
    'GameMode',
    'MenuItem',
    'cli_main'
] 